Subject: Re: [NSIS] scaling problem by trigger messages ...

From: Xiaoming Fu <[email-masked]>
Date: Mon, 02 Jan 2006 19:09:55 +0100

Hi Malik,

Muhammad Ali Malik wrote:
> Hi John,
> 
> I am refering to RFC 4094: "Analysis of Existing Quality-of-Service 
> Signaling Protocols". Sorry for not mentioning the RFC in my last e-mail.
> Hi,
> 
> The RFC states that: " On the other hand, in many of the new
> applications for which a
>   signaling protocol is required, the user session duration can be
>   relatively short.  The dynamics of adding/dropping user sessions
>   could introduce a large number of "triggered" messages in the
>   network.  This can clearly introduce a substantial amount of
>   processing overhead to the routers.  This is one area where a new
>   signaling protocol may be needed to reduce the processing complexity
>   in the resource reservation process."
> 
> Can anybody please elaborate the situation where there is
> overheads because of trigger messages and not by the refresh message.
> Apart from processing overheads, the trigger messages also exhibit
> signaling overheads. But i hardly seen any documents addressing the
> issues by trigger messages only and not by the refresh messages. 

As the RFC text suggests, this can happen in scenarios where session 
duration is relatively short. [1], for example, estimates such a scenario:

For example, if we estimate that during the busy hour, one fourth of the 
IP phones are in use and that a business call generally lasts three 
minutes, we would expect a call volume of about 5 BHCA (busy hour call 
attempts) per user, or about 100,000 outbound calls during an hour for a 
large campus with 20,000 phones. This is about 28 call attempts per 
second, which is likely to be well within the capacity of most servers.

Here, as the druation of sessions is short like very few minutes, if 
network-layer signaling is applied, then trigger messages will overwhelm 
the refresh messages. I do see there is an overhead due to trigger messages.

> How does NSIS address the issue of overheads due to trigger messages.

In my view, the overhead of triggers may be (partially) implicitly 
reduced by reusing exsiting message associations at NTLP level, and some 
finer engineering for short-session triggers in NSLP level if necessary.

[1] H. Schulzrinne et al., SIP Stone - Benchmarking SIP Server 
Performance, http://www.sipstone.org/files/sipstone_0402.pdf

Cheers,
Xiaoming
> Regards,
> =Malik

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis